import { z } from "zod";

export const sessionModel = z.object({
  id: z.string(),
  userId: z.coerce.number().int(),
  userAgent: z.string(),
  ipAddress: z.string(),
  expiresAt: z.coerce.date(),
});
export type SessionModel = z.infer<typeof sessionModel>;
export type Session = SessionModel & { id: string };
